using System.Text;

namespace QFXProxy.Model
{
    public interface IFileConverter
    {
        string BankId { get; set; }
        string SourceFile { get; set; }
        string DestinationFile { get; set; }
        Encoding Encoding { get; set; }

        /// <summary>
        /// Convert file from source to destination.
        /// </summary>
        void Convert();
    }
}