﻿namespace QFXProxy.View
{
    public interface IConverterView
    {
        string BankId { get; set; }
        string SourceFile { get; set; }

        /// <summary>
        /// Responds to events to convert the source file.
        /// </summary>
        void OnConvertFile();

        /// <summary>
        /// Force the view to close.
        /// </summary>
        void CloseView();
    }
}
